%define major   8
%define libname %mklibname %{name} %{major}
%define libnamedev %mklibname -d %{name}
%define majorpp 6
%define libnamepp %mklibname %{name}++ %{majorpp}
%define libnameppdev %mklibname -d %{name}++

Name:		flac
Version:	1.3.2
Release:	%mkrel 1
Summary:	An encoder/decoder for the Free Lossless Audio Codec
Group:		Sound/Editors and Converters
License:	BSD and GPLv2+
URL:		http://xiph.org/flac/
Source0:	http://downloads.xiph.org/releases/flac/%{name}-%{version}.tar.xz

BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	id3lib-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig(ogg)
%ifarch %{ix86}
BuildRequires:	nasm
%endif

%description
FLAC is an Open Source lossless audio codec developed by Josh Coalson.

FLAC is comprised of 1) `libFLAC', a library which implements
reference encoders and decoders, licensed under the GNU Lesser
General Public License (LGPL); 2) `flac', a command-line program for
encoding and decoding files, licensed under the GNU General public
License (GPL); 3) `metaflac', a command-line program for editing
FLAC metadata, licensed under the GPL; 4) player plugins for XMMS
and Winamp, licensed under the GPL; and 5) documentation, licensed
under the GNU Free Documentation License.


%package -n %{libname}
Summary:	Shared libraries for FLAC
Group:		System/Libraries

%description  -n %{libname}
FLAC is an Open Source lossless audio codec developed by Josh Coalson.

This package contains the C libraries.

%package -n %{libnamedev}
Summary:	Libraries and headers needed for building apps using FLAC
Group:		Development/C

Requires:	%{libname} = %{version}-%{release}
Requires:	pkgconfig(ogg)
Provides: 	libflac-devel = %{version}-%{release}
Provides: 	liboggflac-devel = %{version}-%{release}
Conflicts:	%mklibname -d flac 7
Obsoletes:	%mklibname -d flac 8

%description -n %{libnamedev}
FLAC is an Open Source lossless audio codec developed by Josh Coalson.

This package contains the libraries and header files necessary to develop
applications using FLAC written in C.

%package -n %{libnamepp}
Summary:	Shared C++ libraries for FLAC
Group:		System/Libraries

%description  -n %{libnamepp}
FLAC is an Open Source lossless audio codec developed by Josh Coalson.

This package contains the libraries for C++ applications.

%package -n %{libnameppdev}
Summary:	Libraries and headers needed for building apps using FLAC++
Group:		Development/C++

Requires:	%{libnamepp} = %{version}-%{release}
Requires:	%{libnamedev} = %{version}-%{release}
Provides:	libflac++-devel = %{version}-%{release}
Provides:	liboggflac++-devel = %{version}-%{release}
Obsoletes:	%mklibname -d flac++ 6

%description -n %{libnameppdev}
FLAC is an Open Source lossless audio codec developed by Josh Coalson.

This package contains the libraries and header files necessary to develop
applications using FLAC written in C++.

%prep
%autosetup -p1

%build
./autogen.sh -V

rm -rf html
cp -r doc/html .

# (cg) Note that the --with-ogg is needed to prevent a lib path error
# leaking to all applications that link against libflac as the libFLAC.la
# file ultimately contains -L/usr/lib even on 64 bit platforms, which causes
# linking warnings to be shown in other applications, about incompatibile types
# for libraries where you have both 32 and 64 bit version installed like ptheads etc.
%configure2_5x \
    --disable-static \
    --disable-xmms-plugin \
    --disable-thorough-tests \
    --with-ogg

%make_build

%install
%make_install

mv %{buildroot}%{_datadir}/doc/flac-%{version} installed-docs

%check
make check

%files
%doc AUTHORS COPYING* README installed-docs/*
%{_bindir}/%{name}
%{_bindir}/meta%{name}
%{_mandir}/man1/*%{name}.1*

%files -n %{libname}
%{_libdir}/libFLAC.so.%{major}
%{_libdir}/libFLAC.so.%{major}.*

%files -n %{libnamepp}
%{_libdir}/libFLAC++.so.%{majorpp}
%{_libdir}/libFLAC++.so.%{majorpp}.*

%files -n %{libnamedev}
%{_includedir}/FLAC
%{_libdir}/libFLAC.la
%{_libdir}/libFLAC.so
%{_datadir}/aclocal/libFLAC.m4
%{_libdir}/pkgconfig/%{name}.pc

%files -n %{libnameppdev}
%{_includedir}/FLAC++
%{_libdir}/libFLAC++.la
%{_libdir}/libFLAC++.so
%{_datadir}/aclocal/libFLAC++.m4
%{_libdir}/pkgconfig/%{name}++.pc


%changelog
* Mon Mar 06 2017 akien <akien> 1.3.2-1.mga5
+ Revision: 1089091
- Version 1.3.2 (security, mga#20082)

* Thu Apr 02 2015 oden <oden> 1.3.1-2.mga5
+ Revision: 819555
- P1: the previous fix for CVE-2014-9028 was incomplete (RHSA-2015:0767-1)

* Sun Nov 30 2014 luigiwalser <luigiwalser> 1.3.1-1.mga5
+ Revision: 800017
- 1.3.1
- remove upstream patches
- enable test suite

* Tue Nov 25 2014 luigiwalser <luigiwalser> 1.3.0-5.mga5
+ Revision: 799128
- add upstream patches to fix CVE-2014-8962, CVE-2014-9028, and sf bug 418

* Wed Oct 15 2014 umeabot <umeabot> 1.3.0-4.mga5
+ Revision: 742621
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.0-3.mga5
+ Revision: 679219
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.3.0-2.mga4
+ Revision: 529198
- Mageia 4 Mass Rebuild

* Sun Jul 07 2013 luigiwalser <luigiwalser> 1.3.0-1.mga4
+ Revision: 450908
- 1.3.0
- update URLs
- remove no longer needed patches
- disable hidesyms patch (breaks build with nasm)
- add some fixes from upstream (via omdv)
- disable static libs

* Fri Jan 11 2013 umeabot <umeabot> 1.2.1-13.mga3
+ Revision: 350466
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 04 2013 cjw <cjw> 1.2.1-12.mga3
+ Revision: 338538
- patch10: fix build with automake 1.13

* Fri Nov 02 2012 supp <supp> 1.2.1-11.mga3
+ Revision: 312702
- change RPM group as per new specicication

* Fri Dec 30 2011 supp <supp> 1.2.1-10.mga2
+ Revision: 188862
- rebuild for mga2

* Sun Mar 27 2011 colin <colin> 1.2.1-10.mga1
+ Revision: 77968
- Fix leakage of /usr/lib link path on 64 bit systems
- Fix build when different versions of autotools are installed

* Thu Jan 13 2011 ahmad <ahmad> 1.2.1-9.mga1
+ Revision: 7872
- drop old/unneeded scriptlets
- imported package flac

